
#ifndef _LCD_DRV_H_
#define _LCD_DRV_H_

#include <xdc/std.h>
#include <stdio.h>
#include <stdarg.h>

#include "lcd_drv.h"

//================================宏定义=========================================================

// LCD 分辨率
#define LCD_WIDTH               (480)
#define LCD_HEIGHT              (360)

// 调试板的大小和偏移
#define PALETTE_SIZE            32
#define PALETTE_OFFSET          4

// TFT LCD显存数据结构体
typedef struct
{
	uint8_t palette[PALETTE_OFFSET+PALETTE_SIZE];
	uint16_t dat[LCD_HEIGHT][LCD_WIDTH];
}fb_data_t;

void tft_lcd_draw_pixel(uint16_t x, uint16_t y, uint16_t color);
void tft_lcd_draw_xline(uint16_t x, uint16_t y, uint16_t length, uint16_t color);
void tft_lcd_draw_yline(uint16_t x, uint16_t y, uint16_t length, uint16_t color);
void tft_lcd_fill_rectangle(uint16_t x, uint16_t y, uint16_t width, uint16_t height, uint16_t color, uint8_t dir_mode);

void lcdc_raster_init(unsigned int cpu_freq);

#endif


